Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-24-03, 03:18 AM   #1
beetles
Registered User
 
Join Date: Apr 2003
Posts: 7
Default NVidia driver 1.0-4349 and RedHat 9

Hello!

I develop applications for Java3D.
I have one application that worked fine on RedHat 8.0 with 1.0-4349 driver.

Then I've upgraded to RedHat 9 and now I got the following error
everytime I run the application:
"/usr/java/j2sdk1.4.1_02/jre/lib/i386/libJ3D.so: libGL.so.1: cannot handle TLS data"

-- full text --
Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/java/j2sdk1.4.1_02/jre/lib/i386/libJ3D.so: libGL.so.1: cannot handle TLS data
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.jav a:1473)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java :1389)
at java.lang.Runtime.loadLibrary0(Runtime.java:788)
at java.lang.System.loadLibrary(System.java:832)
at javax.media.j3d.MasterControl$20.run(MasterControl .java:854)
at java.security.AccessController.doPrivileged(Native Method)
at javax.media.j3d.MasterControl.loadLibraries(Master Control.java:851)
at javax.media.j3d.VirtualUniverse.<clinit>(VirtualUn iverse.java:229)
at javax.media.j3d.Canvas3D.<clinit>(Canvas3D.java:35 02)
at com.dse.core.ui.DENavigator3D.init(DENavigator3D.j ava:543)
----

NVidia GeForce4 Ti 4200
Sun J2SDK 1.4.1_02, Blackdown Java3D SDK 1.3, NVidia Linux driver 1.0-4349
Linux 2.4.20-9, glibc-2.3.2-27.9, GNU ld version 2.13.90.0.18 20030206

Is there any solution or workaround for this trouble?
beetles is offline   Reply With Quote
Old 04-24-03, 06:52 AM   #2
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Did you reinstall the nVidia driver after upgrading?

I don't think that's the problem though; I think the problem is with Java itself. See if someone has a Java that works with RH9's glibc and kernel changes (I VERY MUCH doubt that Sun does... they seem to be horribly slow about this kind of thing -- they don't even have a Java that works on a gcc 3.2-only system yet, and that's been out for who knows how long).
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 04-24-03, 07:10 AM   #3
beetles
Registered User
 
Join Date: Apr 2003
Posts: 7
Default

Yes, sure I've reinstalled driver - RH9 has new kernel.

Java works.
All applications work, except OpenGL in Java3D. But it seems that problem is in libGL.

It would be nice if I just could recompile driver, but it seems NVidia has closed-source driver.
The same goes to Sun.
beetles is offline   Reply With Quote
Old 04-24-03, 07:25 AM   #4
merlin42
Registered User
 
Join Date: Sep 2002
Posts: 52
Default

The error specifically mentions TLS so I would guess that reinstalling the drivers w/o TLS (RH9 should have TLS on by default i believe) might help. But then again I have not even tried to replicate your problem, and havn't touched java3d in a couple of years so I could be completely off my rocker.

ps
in case you haven't read the docs:
nvidia-installer -f --force-tls=classic
should do it, and if for some bizarre reason you are using the classic tls already then do:
nvidia-installer -f --force-tls=new
merlin42 is offline   Reply With Quote
Old 04-24-03, 08:56 AM   #5
jimbob0i0
ATI Geek
 
jimbob0i0's Avatar
 
Join Date: Apr 2003
Posts: 268
Send a message via ICQ to jimbob0i0 Send a message via Yahoo to jimbob0i0
Default

Indeed it will be coming down to the fact that Redhat has elected to include the backports relating to TLS from the 2.5 development kernels in their stock kernel..... if you really need to use that software (and it sound like you do) best thing to do would be to get the latest vanilla kernel and use that.
jimbob0i0 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 03:30 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.